<ion-header>
  <ion-toolbar>
    <ion-buttons slot="start">
      <ion-back-button defaultHref="/"></ion-back-button>
    </ion-buttons>
    <ion-title>infinitie</ion-title>
  </ion-toolbar>
</ion-header>

<ion-content padding>
    <ion-button id="btn" *ngIf="btn" (click)="toggleInfiniteScroll()" expand="block">
      Deshabilitar
    </ion-button>
    <ion-button id="btn1" *ngIf="btn1" (click)="toggleInfiniteScroll()" expand="block">
      Habilitar
    </ion-button>
  
    <ion-list>
      <ion-item *ngFor="let item of dataList">
        <ion-label>{{item}}</ion-label>
      </ion-item>
    </ion-list>
  
    <ion-infinite-scroll threshold="100px" (ionInfinite)="loadData($event)">
      <ion-infinite-scroll-content loadingText="cargando datos...">
      </ion-infinite-scroll-content>
    </ion-infinite-scroll>
  </ion-content>